Create Client
curl --request POST \
--url https://eu-gcp-api.vg-stuff.com/v3/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientData": {
"ID": "<string>",
"firebaseUid": "<string>",
"agencyId": "<string>",
"name": "<string>",
"email": "<string>",
"squarePhotoURL": "<string>",
"widgets": [
"<unknown>"
],
"widgetIDs": [
"<string>"
],
"dashboardUsername": "<string>",
"dashboardPassword": "<string>",
"ts": 123,
"canAccess": [
"<string>"
],
"allowedChannels": [
"<string>"
],
"allowedIntegrations": [
"<string>"
],
"clientTabOrder": [
"<string>"
],
"magicCode": "<string>",
"index": 123,
"isAdmin": true,
"usedSecret": "<string>",
"orgId": "<string>",
"isOrgAdmin": true,
"canDelegateChats": true,
"predefinedTags": [
"<string>"
],
"FB_PUSH_TOKEN": "<string>",
"handoff": {
"maxAssignees": 123
},
"lastEmailSentTS": 123,
"preferredLanguage": "<string>",
"internal": {
"hasChangedPassword": true
},
"lastInvitationTs": 123,
"cannedResponses": [
{
"key": "<string>",
"content": "<string>"
}
],
"stripeCustomerId": "<string>",
"signupSource": "<string>",
"allowCreateAgents": true,
"hideAdvancedSettings": true,
"onboardingState": {
"currentStep": 123,
"isCompleted": true,
"completedSteps": [
123
],
"personalInfo": {
"fullName": "<string>",
"companyName": "<string>",
"role": "<string>",
"industry": "<string>"
},
"preferences": {
"primaryUseCase": "<string>",
"communicationPreferences": [
"<string>"
],
"goals": [
"<string>"
]
},
"setupData": {
"selectedAgents": [
"<string>"
],
"customizations": "<unknown>"
}
},
"isNewSignup": true,
"teams": [
{
"ID": "<string>",
"key": "<string>",
"label": "<string>",
"description": "<string>",
"orgId": "<string>"
}
]
}
}
'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/clients"
payload = { "clientData": {
"ID": "<string>",
"firebaseUid": "<string>",
"agencyId": "<string>",
"name": "<string>",
"email": "<string>",
"squarePhotoURL": "<string>",
"widgets": ["<unknown>"],
"widgetIDs": ["<string>"],
"dashboardUsername": "<string>",
"dashboardPassword": "<string>",
"ts": 123,
"canAccess": ["<string>"],
"allowedChannels": ["<string>"],
"allowedIntegrations": ["<string>"],
"clientTabOrder": ["<string>"],
"magicCode": "<string>",
"index": 123,
"isAdmin": True,
"usedSecret": "<string>",
"orgId": "<string>",
"isOrgAdmin": True,
"canDelegateChats": True,
"predefinedTags": ["<string>"],
"FB_PUSH_TOKEN": "<string>",
"handoff": { "maxAssignees": 123 },
"lastEmailSentTS": 123,
"preferredLanguage": "<string>",
"internal": { "hasChangedPassword": True },
"lastInvitationTs": 123,
"cannedResponses": [
{
"key": "<string>",
"content": "<string>"
}
],
"stripeCustomerId": "<string>",
"signupSource": "<string>",
"allowCreateAgents": True,
"hideAdvancedSettings": True,
"onboardingState": {
"currentStep": 123,
"isCompleted": True,
"completedSteps": [123],
"personalInfo": {
"fullName": "<string>",
"companyName": "<string>",
"role": "<string>",
"industry": "<string>"
},
"preferences": {
"primaryUseCase": "<string>",
"communicationPreferences": ["<string>"],
"goals": ["<string>"]
},
"setupData": {
"selectedAgents": ["<string>"],
"customizations": "<unknown>"
}
},
"isNewSignup": True,
"teams": [
{
"ID": "<string>",
"key": "<string>",
"label": "<string>",
"description": "<string>",
"orgId": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientData: {
ID: '<string>',
firebaseUid: '<string>',
agencyId: '<string>',
name: '<string>',
email: '<string>',
squarePhotoURL: '<string>',
widgets: ['<unknown>'],
widgetIDs: ['<string>'],
dashboardUsername: '<string>',
dashboardPassword: '<string>',
ts: 123,
canAccess: ['<string>'],
allowedChannels: ['<string>'],
allowedIntegrations: ['<string>'],
clientTabOrder: ['<string>'],
magicCode: '<string>',
index: 123,
isAdmin: true,
usedSecret: '<string>',
orgId: '<string>',
isOrgAdmin: true,
canDelegateChats: true,
predefinedTags: ['<string>'],
FB_PUSH_TOKEN: '<string>',
handoff: {maxAssignees: 123},
lastEmailSentTS: 123,
preferredLanguage: '<string>',
internal: {hasChangedPassword: true},
lastInvitationTs: 123,
cannedResponses: [{key: '<string>', content: '<string>'}],
stripeCustomerId: '<string>',
signupSource: '<string>',
allowCreateAgents: true,
hideAdvancedSettings: true,
onboardingState: {
currentStep: 123,
isCompleted: true,
completedSteps: [123],
personalInfo: {
fullName: '<string>',
companyName: '<string>',
role: '<string>',
industry: '<string>'
},
preferences: {
primaryUseCase: '<string>',
communicationPreferences: ['<string>'],
goals: ['<string>']
},
setupData: {selectedAgents: ['<string>'], customizations: '<unknown>'}
},
isNewSignup: true,
teams: [
{
ID: '<string>',
key: '<string>',
label: '<string>',
description: '<string>',
orgId: '<string>'
}
]
}
})
};
fetch('https://eu-gcp-api.vg-stuff.com/v3/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"clientId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Clients
Create Client
Create a client user under an organization
POST
/
clients
Create Client
Creates a human login under an organization. Passwords are hashed server-side.
ownerID defaults to the workspace.Example Request
{
"clientData": {
"name": "Jane Doe",
"email": "jane@acme.example",
"dashboardPassword": "TestPassw0rd!MCP2026",
"orgId": "YOUR_ORG_ID",
"status": "offline"
}
}
⌘I
